개발 Q&A

제목 신규서버 php7.X 로 가야 할까요? php5.x 도 가능할까요?
카테고리 PHP
글쓴이 걷기 작성시각 2018/07/05 11:08:39
댓글 : 3 추천 : 0 스크랩 : 0 조회수 : 1023   RSS

안녕하세요.

CI 와 XE 사용을 위한 신규서버를 구성중입니다. 

Php 버전이 고민입니다. 

현재 : cent 7.2, maria 5.5.4 

신규서버 php7.X 로 가야 할까요? php5.x 를 사용할까요.

 다음글 codeigniter 데이터 확인(디버깅) 하는 법 알... (6)
 이전글 코드이그나이터 관리자 페이지 주소 (2)

댓글

kaido / 2018/07/05 11:41:20 / 추천 0

php 5.4 이상 버전과 7.x 버전은 큰 차이는 없습니다. [문법이나 호환 부분]

7.2 이상부터 두드러진 차이점이 하나 있는데... 암호화 함수가 전부 사라지고 신규 방식의 암호로 바뀌었습니다.

암호화 함수 쓰는게 없는지 확인 하시고 진행 하시길 추천드립니다.

 

그게 아니면 7.1 까지만 올리시는것이 좋습니다.

 

체크할 시간이 없다면 일단 5.6 으로 갔다가 다시 올리는 방향도 생각해 보심이 좋을듯 싶습니다.

변종원(웅파) / 2018/07/05 12:21:42 / 추천 0
7.x 대 서버로 가시는걸 추천합니다.
걷기 / 2018/07/05 14:02:10 / 추천 0
두분 답변 고맙습니다.  7.x 로 해보겠습니다.